tigase.monitor.modules

## Class AdHocCommandMonitorModule

- java.lang.Object
- - tigase.component.modules.AbstractModule<CTX>
  - - tigase.component.modules.impl.AdHocCommandModule<MonitorContext>
    - - tigase.monitor.modules.AdHocCommandMonitorModule

- All Implemented Interfaces:
    ContextAware, InitializingModule, Module

      public class AdHocCommandMonitorModule
      extends AdHocCommandModule<MonitorContext>

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class tigase.component.modules.impl.AdHocCommandModule

      `AdHocCommandModule.ScriptCommandProcessor`

  - ### Field Summary

    - ### Fields inherited from class tigase.component.modules.impl.AdHocCommandModule

      `COMMAND_PATH, commandsManager, CRIT, ID, scriptProcessor, XMLNS`

    - ### Fields inherited from class tigase.component.modules.AbstractModule

      `context, log`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AdHocCommandMonitorModule(AdHocCommandModule.ScriptCommandProcessor scriptProcessor)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `afterRegistration()` Called after registration.
    `void` | `process(Packet packet)` Process incoming stanza.

    - ### Methods inherited from class tigase.component.modules.impl.AdHocCommandModule

      `getCommandListItems, getFeatures, getModuleCriteria, getScriptItems, processScriptAdHoc, register`

    - ### Methods inherited from class tigase.component.modules.AbstractModule

      `beforeRegister, fireEvent, setContext, unregisterModule, write, write`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AdHocCommandMonitorModule

          public AdHocCommandMonitorModule(AdHocCommandModule.ScriptCommandProcessor scriptProcessor)

  - ### Method Detail

    - #### afterRegistration

          public void afterRegistration()

      Description copied from interface: `InitializingModule`
      Called after registration.
      Specified by:
        `afterRegistration` in interface `InitializingModule`
      Overrides:
        `afterRegistration` in class `AbstractModule<MonitorContext>`

    - #### process

          public void process(Packet packet)
                       throws ComponentException

      Description copied from interface: `Module`
      Process incoming stanza.
      Specified by:
        `process` in interface `Module`
      Overrides:
        `process` in class `AdHocCommandModule<MonitorContext>`
      Parameters:
        `packet` - received `stanza`.
      Throws:
        `ComponentException` - if stanza can't be processed correctly. ComponentException is converted to error stanza and returned to stanza sender.

Copyright © 2022 "Tigase, Inc.". All rights reserved.